Index: README
===================================================================
RCS file: /home/cvspublic/kaffe/README,v
retrieving revision 1.5
diff -u -r1.5 README
--- README	1998/09/30 22:15:48	1.5
+++ README	1998/10/08 14:15:47
@@ -33,7 +33,7 @@
             |      |    Solaris 2.x     BSDI 2.x        Unixware
             |      |    SCO 3.2v5       NeXTStep 3.x    Windows '95/98/NT
             |      |    DG/UX		OpenBSD 2.x	OpenStep 4.x
-            |      |    QNX 4.x
+            |      |    QNX 4.x		NCR MP-RAS 3.x
   ------------------------------------------------------------------------
   Sparc     | J+I  |    Linux 2.x       SunOS 4.x       NetBSD 1.x
             |      |    NeXTStep 3.x    Solaris 2.x	Fujitsu UXP/DS
Index: configure.in
===================================================================
RCS file: /home/cvspublic/kaffe/configure.in,v
retrieving revision 1.29
diff -u -r1.29 configure.in
--- configure.in	1998/10/01 22:27:22	1.29
+++ configure.in	1998/10/08 14:15:49
@@ -388,6 +388,7 @@
 dnl Checks for standard libraries
 
 AC_CHECK_LIBRARY(c,printf,STD_LIBRARIES)
+AC_CHECK_LIBRARY(mw,_mwvalidcheckl,STD_LIBRARIES)
 AC_CHECK_LIBRARY(m,sin,STD_LIBRARIES)
 AC_CHECK_LIBRARY(gmp,mpz_abs,STD_LIBRARIES)
 AC_SUBST(STD_LIBRARIES)
@@ -410,6 +411,10 @@
 dnl None required.
 
 dnl Check for libraries for net library.
+AC_CHECK_FUNC(gethostname)
+if test $ac_cv_func_gethostname = no; then
+      AC_CHECK_LIBRARY(nsl, gethostname, NET_LIBRARIES)
+fi
 AC_CHECK_FUNC(gethostbyname)
 if test $ac_cv_func_gethostbyname = no; then
       AC_CHECK_LIBRARY(nsl, gethostbyname, NET_LIBRARIES)
Index: config/i386/univel_svr4/md.c
===================================================================
RCS file: /home/cvspublic/kaffe/config/i386/univel_svr4/md.c,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 md.c
--- md.c	1998/03/31 19:10:53	1.1.1.1
+++ md.c	1998/10/08 14:15:49
@@ -8,3 +8,25 @@
  * See the file "license.terms" for information on usage and redistribution 
  * of this file. 
  */
+
+#include "config.h"
+#include "config-io.h"
+#include "config-mem.h"
+
+void
+init_md(void)
+{
+#if defined(HAVE_MMAP)
+    /* On NCR MP-RAS, address 0x0 to 0x1000 are mapped with PROT_READ so
+     * NullPointerException are not handle correctly.
+     * remap this range as PROT_NONE.
+     * Edouard.Parmelan@France.NCR.COM
+     */
+    {	int fd;
+	if ((fd = open("/dev/zero", O_RDONLY, 0)) != -1) {
+	    mmap(NULL, 0x1000, PROT_NONE, MAP_PRIVATE|MAP_FIXED, fd, 0);
+	    close(fd);
+	}
+    }
+#endif
+}
Index: config/i386/univel_svr4/md.h
===================================================================
RCS file: /home/cvspublic/kaffe/config/i386/univel_svr4/md.h,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 md.h
--- md.h	1998/03/31 19:10:53	1.1.1.1
+++ md.h	1998/10/08 14:15:49
@@ -19,4 +19,7 @@
 #include "jit-md.h"
 #endif
 
+/* NCR MP-RAS requires a littel initialisation */
+#define INIT_MD()	init_md()
+
 #endif
Index: kaffe/kaffevm/jit/basecode.h
===================================================================
RCS file: /home/cvspublic/kaffe/kaffe/kaffevm/jit/basecode.h,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 basecode.h
--- basecode.h	1998/03/31 19:10:54	1.1.1.1
+++ basecode.h	1998/10/08 14:15:49
@@ -16,18 +16,20 @@
 /* -------------------------------------------------------------------- */
 /* Branches */
 
-#define	ba			0	/* Always */
-#define	beq			1	/* Equal */
-#define	blt			2	/* Less than */
-#define	ble			3	/* Less than or equal */
-#define	bgt			4	/* Greater than */
-#define	bge			5	/* Greater than or equal */
-#define	bne			6	/* Not equal */
-#define	bn			7	/* Never */
-#define	bindirect		8	/* Indirect */
-#define	bult			9	/* Unsigned less than */
-#define	buge			10	/* Unsigned greater than or equal */
-#define	bugt			11	/* Unsigned greater than */
+enum {
+    ba =			0,	/* Always */
+    beq =			1,	/* Equal */
+    blt =			2,	/* Less than */
+    ble =			3,	/* Less than or equal */
+    bgt =			4,	/* Greater than */
+    bge =			5,	/* Greater than or equal */
+    bne =			6,	/* Not equal */
+    bn =			7,	/* Never */
+    bindirect =			8,	/* Indirect */
+    bult =			9,	/* Unsigned less than */
+    buge =			10,	/* Unsigned greater than or equal */
+    bugt =			11,	/* Unsigned greater than */
+};
 
 #define branch_a(l)			branch(l, ba)
 
